Index: extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9909)
@@ -105,5 +105,5 @@
   case 'global':
 
-	if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_No_Comment_Anonymous']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']))
+	if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_No_Comment_Anonymous']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']))
   {
 
@@ -176,5 +176,6 @@
       $_POST['UAM_USRAuto'],
       $_POST['UAM_USRAutoDelText'],
-      $_POST['UAM_USRAutoMail']
+      $_POST['UAM_USRAutoMail'],
+      $_POST['UAM_Stuffs']
       );
 
@@ -422,4 +423,6 @@
     'UAM_USRAUTOMAIL_TRUE'           => $conf_UAM[33]=='true' ?  'checked="checked"' : '' ,
     'UAM_USRAUTOMAIL_FALSE'          => $conf_UAM[33]=='false' ?  'checked="checked"' : '' ,
+    'UAM_STUFFS_TRUE'                => $conf_UAM[34]=='true' ?  'checked="checked"' : '' ,
+    'UAM_STUFFS_FALSE'               => $conf_UAM[34]=='false' ?  'checked="checked"' : '' ,
 		'UAM_PASSWORD_TEST_SCORE'        => $UAM_Password_Test_Score,
     'UAM_ERROR_REPORTS4'             => $UAM_Exclusionlist_Error,
Index: extensions/UserAdvManager/branches/2.20/admin/template/global.tpl
===================================================================
--- extensions/UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/admin/template/global.tpl	(revision 9909)
@@ -110,8 +110,9 @@
             <br><br>
               <input type="radio" value="false" {$UAM_ADMINPASSWENF_FALSE} name="UAM_AdminPassword_Enforced">
-                {'UAM_Disable'|@translate}<br>        
+                {'UAM_Disable'|@translate}
+            <br>        
               <input type="radio" value="true" {$UAM_ADMINPASSWENF_TRUE} name="UAM_AdminPassword_Enforced">
                 {'UAM_Enable'|@translate}
-              <br><br>
+            <br><br>
             </li>
           </ul>
@@ -121,10 +122,11 @@
               {'UAM_MailExclusion'|@translate}
             </label>
-            <br><br>
+          <br><br>
             <input type="radio" value="false" {$UAM_MAILEXCLUSION_FALSE} name="UAM_MailExclusion">
-              {'UAM_Disable'|@translate}<br>
+              {'UAM_Disable'|@translate}
+          <br>
             <input type="radio" value="true" {$UAM_MAILEXCLUSION_TRUE} name="UAM_MailExclusion">
               {'UAM_MailExclusion_true'|@translate}
-            <br><br>
+          <br><br>
           </li>
 
@@ -163,21 +165,27 @@
               {'UAM_Mail_Info'|@translate}
             </label>
-            <br><br>
+          <br><br>
             <input type="radio" value="false" {$UAM_MAIL_INFO_FALSE} name="UAM_Mail_Info">
-              {'UAM_Disable'|@translate}<br>
+              {'UAM_Disable'|@translate}
+          <br>
             <input type="radio" value="true" {$UAM_MAIL_INFO_TRUE} name="UAM_Mail_Info">
               {'UAM_Enable'|@translate}
-            <br><br>
+          <br><br>
           </li>
 
-          <ul>
-            <li>
-              <label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">
-                {'UAM_MailInfo_Text'|@translate}
-              </label>
+        {if $UAM_MAIL_INFO_FALSE}
+          <div class="uam_hide">
+        {/if}
+
+          <fieldset>
+            <ul>
+              <li>
+                <label class="cluetip" title="{'UAM_infotxtTitle'|translate}|{'UAM_infotxtTitle_d'|translate}">
+                  {'UAM_MailInfo_Text'|@translate}
+                </label>
               <br><br>
                 <textarea class="uam_textfields" name="UAM_MailInfo_Text" id="UAM_MailInfo_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_MAILINFO_TEXT}</textarea>
               <br><br>
-            </li>
+              </li>
 <!--
             {* if 'FCK_PATH'|@defined *}
@@ -187,5 +195,10 @@
             {* /if *}
 -->
-          </ul>
+            </ul>
+          </fieldset>
+
+        {if $UAM_MAIL_INFO_FALSE}
+          </div>
+        {/if}
 
         	<li>
@@ -193,32 +206,45 @@
               {'UAM_Confirm_Mail'|@translate}
             </label>
-         <br><br>
+          <br><br>
             <input type="radio" value="false" {$UAM_CONFIRM_MAIL_FALSE} name="UAM_Confirm_Mail">
-              {'UAM_Disable'|@translate}<br>
+              {'UAM_Disable'|@translate}
+          <br>
             <input type="radio" value="true" {$UAM_CONFIRM_MAIL_TRUE} name="UAM_Confirm_Mail">
-              {'UAM_Confirm_Mail_true'|@translate}<br>
+              {'UAM_Confirm_Mail_true'|@translate}
+          <br>
             <input type="radio" value="local" {$UAM_CONFIRM_MAIL_LOCAL} name="UAM_Confirm_Mail">
               {'UAM_Confirm_Mail_local'|@translate}
-            <br><br>
-{if $UAM_CONFIRM_MAIL_FALSE}
-<div class="uam_hide">
-{/if}
-            <ul>
-              <li>
-                <label class="cluetip" title="{'UAM_AdminValidationMail'|translate}|{'UAM_AdminValidationMail_d'|translate}">
-                  {'UAM_AdminValidationMail_Text'|@translate}
-                </label>
-                <br><br>
-                  <textarea class="uam_textfields" name="UAM_AdminValidationMail_Text" id="UAM_AdminValidationMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_ADMINVALIDATIONMAIL_TEXT}</textarea>
-                <br><br>
-              </li>
-            </ul>
-{if $UAM_CONFIRM_MAIL_FALSE}
-</div>
-{/if}
-        	</li>
-{if $UAM_CONFIRM_MAIL_FALSE}
-<div class="uam_hide">
-{/if}
+          <br><br>
+          </li>
+          
+        {if $UAM_CONFIRM_MAIL_FALSE}
+          <div class="uam_hide">
+        {/if}
+
+          <fieldset>
+          <ul>
+         	  <li>
+              <label class="cluetip" title="{'UAM_StuffsTitle'|translate}|{'UAM_StuffsTitle_d'|translate}">
+                {'UAM_Stuffs'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_STUFFS_FALSE} name="UAM_Stuffs">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_STUFFS_TRUE} name="UAM_Stuffs">
+                {'UAM_Enable'|@translate}
+            <br><br>
+            </li>
+
+            <li>
+              <label class="cluetip" title="{'UAM_AdminValidationMail'|translate}|{'UAM_AdminValidationMail_d'|translate}">
+                {'UAM_AdminValidationMail_Text'|@translate}
+              </label>
+            <br><br>
+              <textarea class="uam_textfields" name="UAM_AdminValidationMail_Text" id="UAM_AdminValidationMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_ADMINVALIDATIONMAIL_TEXT}</textarea>
+            <br><br>
+            </li>
+          </ul>
+
           <ul>
          	  <li>
@@ -226,10 +252,11 @@
                 {'UAM_AdminConfMail'|@translate}
               </label>
-              <br><br>
+            <br><br>
               <input type="radio" value="false" {$UAM_ADMINCONFMAIL_FALSE} name="UAM_Admin_ConfMail">
-                {'UAM_Disable'|@translate}<br>
+                {'UAM_Disable'|@translate}
+            <br>
               <input type="radio" value="true" {$UAM_ADMINCONFMAIL_TRUE} name="UAM_Admin_ConfMail">
                 {'UAM_Enable'|@translate}
-              <br><br>
+            <br><br>
             </li>
             
@@ -238,7 +265,7 @@
                 {'UAM_ConfirmMail_Text'|@translate}
               </label>
-              <br><br>
+            <br><br>
                 <textarea class="uam_textfields" name="UAM_ConfirmMail_Text" id="UAM_ConfirmMail_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_TEXT}</textarea>
-              <br><br>
+            <br><br>
             </li>
 <!--
@@ -254,7 +281,7 @@
                 {'UAM_confirmmail_custom_Txt1'|@translate}
               </label>
-              <br><br>
+            <br><br>
                 <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt1" id="UAM_ConfirmMail_Custom_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT1}</textarea>
-              <br><br>
+            <br><br>
             </li>
             {if 'FCK_PATH'|@defined}
@@ -268,7 +295,7 @@
                 {'UAM_confirmmail_custom_Txt2'|@translate}
               </label>
-              <br><br>
+            <br><br>
                 <textarea class="uam_textfields" name="UAM_ConfirmMail_Custom_Txt2" id="UAM_ConfirmMail_Custom_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_CUSTOM_TXT2}</textarea>
-              <br><br>
+            <br><br>
             </li>
             {if 'FCK_PATH'|@defined}
@@ -278,7 +305,7 @@
             {/if}
           </ul>
-
-          <br><hr><br>
-
+          </fieldset>
+
+          <fieldset>
           <ul>
             <div id="uam_notice">{'UAM_Confirm_grpstat_notice'|@translate}</div>
@@ -295,9 +322,10 @@
                   <label>
                     {'UAM_No_Confirm_Group'|@translate}
-                  </label><br>
+                  </label>
+                <br>
                   <div id="uam_leftmargin">
                     {html_options name="UAM_No_Confirm_Group" options=$No_Confirm_Group.group_options selected=$No_Confirm_Group.group_selected}
                   </div>
-                  <br><br>
+                <br><br>
                 </li>
 
@@ -305,9 +333,10 @@
                   <label>
                     {'UAM_Validated_Group'|@translate}
-                  </label><br>
+                  </label>
+                <br>
                   <div id="uam_leftmargin">
                     {html_options name="UAM_Validated_Group" options=$Validated_Group.group_options selected=$Validated_Group.group_selected}
                   </div>
-                  <br><br>
+                <br><br>
                 </li>
               </ul>
@@ -324,9 +353,10 @@
                   <label>
                     {'UAM_No_Confirm_Status'|@translate}
-                  </label><br>
+                  </label>
+                <br>
                   <div id="uam_leftmargin">
                     {html_options name="UAM_No_Confirm_Status" options=$No_Confirm_Status.Status_options selected=$No_Confirm_Status.Status_selected}
                   </div>
-                  <br><br>
+                <br><br>
                 </li>
 
@@ -334,14 +364,17 @@
                   <label>
                     {'UAM_Validated_Status'|@translate}
-                  </label><br>
+                  </label>
+                <br>
                   <div id="uam_leftmargin">
                     {html_options name="UAM_Validated_Status" options=$Confirm_Status.Status_options selected=$Confirm_Status.Status_selected}
                   </div>
-                  <br><br>
+                <br><br>
                 </li>
               </ul>
-
-              <br><hr><br>
-
+            </ul>
+            </fieldset>
+
+            <fieldset>
+            <ul>
               <li>
                 <label class="cluetip" title="{'UAM_validationlimitTitle'|translate}|{'UAM_validationlimitTitle_d'|translate}">
@@ -350,8 +383,10 @@
               <br><br>
                 <input type="radio" value="false" {$UAM_CONFIRMMAIL_TIMEOUT_FALSE} name="UAM_ConfirmMail_TimeOut">
-                  {'UAM_Disable'|@translate}<br>
+                  {'UAM_Disable'|@translate}
+              <br>
                 <input type="radio" value="true" {$UAM_CONFIRMMAIL_TIMEOUT_TRUE} name="UAM_ConfirmMail_TimeOut">
                   {'UAM_ConfirmMail_TimeOut_true'|@translate}
-                <input type="text" name="UAM_ConfirmMail_Delay" value="{$UAM_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"><br><br>
+                <input type="text" name="UAM_ConfirmMail_Delay" value="{$UAM_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;">
+              <br><br>
               </li>
 
@@ -362,7 +397,9 @@
               <br><br>
                 <input type="radio" value="false" {$UAM_CONFIRMMAIL_REMAIL_FALSE} name="UAM_ConfirmMail_Remail">
-                  {'UAM_Disable'|@translate}<br>
+                  {'UAM_Disable'|@translate}
+              <br>
                 <input type="radio" value="true" {$UAM_CONFIRMMAIL_REMAIL_TRUE} name="UAM_ConfirmMail_Remail">
-                  {'UAM_Enable'|@translate}<br><br>
+                  {'UAM_Enable'|@translate}
+              <br><br>
               </li>
 
@@ -372,7 +409,7 @@
                     {'UAM_ConfirmMail_ReMail_Txt1'|@translate}
                   </label>
-                  <br><br>
+                <br><br>
                     <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt1" id="UAM_ConfirmMail_ReMail_Txt1" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT1}</textarea>
-                  <br><br>
+                <br><br>
                 </li>
 <!--
@@ -388,6 +425,7 @@
                     {'UAM_ConfirmMail_ReMail_Txt2'|@translate}
                   </label>
-                  <br><br>
-                    <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
+                <br><br>
+                    <textarea class="uam_textfields" name="UAM_ConfirmMail_ReMail_Txt2" id="UAM_ConfirmMail_ReMail_Txt2" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CONFIRMMAIL_REMAIL_TXT2}</textarea>
+                <br>
                 </li>
 <!--
@@ -399,21 +437,34 @@
 -->
               </ul>
+            </ul>
+            </fieldset>
+
           {if $UAM_CONFIRMMAIL_TIMEOUT_FALSE and $UAM_CONFIRMMAIL_REMAIL_FALSE}
             <div class="uam_hide">
           {/if}
-<br><hr><br>
-
-              <li><label class="cluetip" title="{'UAM_USRAutoTitle'|translate}|{'UAM_USRAutoTitle_d'|translate}">{'UAM_USRAuto'|@translate}</label>
-              <br><br>
-                <input type="radio" value="false" {$UAM_USRAUTO_FALSE} name="UAM_USRAuto">{'UAM_Disable'|@translate}<br>
-                <input type="radio" value="true" {$UAM_USRAUTO_TRUE} name="UAM_USRAuto">{'UAM_Enable'|@translate}<br><br>
-              </li>
-
-              <ul>
-                <li><label class="cluetip" title="{'UAM_USRAutoDelTitle'|translate}|{'UAM_USRAutoDelTitle_d'|translate}">{'UAM_USRAutoDel'|@translate}</label>
+
+          <fieldset>
+          <ul>
+            <li>
+              <label class="cluetip" title="{'UAM_USRAutoTitle'|translate}|{'UAM_USRAutoTitle_d'|translate}">
+                {'UAM_USRAuto'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_USRAUTO_FALSE} name="UAM_USRAuto">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_USRAUTO_TRUE} name="UAM_USRAuto">
+                {'UAM_Enable'|@translate}
+            <br><br>
+            </li>
+
+            <ul>
+              <li>
+                <label class="cluetip" title="{'UAM_USRAutoDelTitle'|translate}|{'UAM_USRAutoDelTitle_d'|translate}">
+                  {'UAM_USRAutoDel'|@translate}
+                </label>
               <br><br>
                 <textarea class="uam_textfields" name="UAM_USRAutoDelText" id="UAM_USRAutoDelText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_USRAUTODEL_TEXT}</textarea>
               <br><br>
-
               {if 'FCK_PATH'|@defined}
                 <div style="text-align:right;">
@@ -421,18 +472,30 @@
                 </div>
               {/if}
-                </li>
-
-                <li><label class="cluetip" title="{'UAM_USRAutoMailTitle'|translate}|{'UAM_USRAutoMailTitle_d'|translate}">{'UAM_USRAutoMail'|@translate}</label><br><br>
-                  <input type="radio" value="false" {$UAM_USRAUTOMAIL_FALSE} name="UAM_USRAutoMail">{'UAM_Disable'|@translate}<br>
-                  <input type="radio" value="true" {$UAM_USRAUTOMAIL_TRUE} name="UAM_USRAutoMail">{'UAM_Enable'|@translate}<br><br><br>
-                </li>
-              </ul>
+              </li>
+
+              <li>
+                <label class="cluetip" title="{'UAM_USRAutoMailTitle'|translate}|{'UAM_USRAutoMailTitle_d'|translate}">
+                  {'UAM_USRAutoMail'|@translate}
+                </label>
+              <br><br>
+                <input type="radio" value="false" {$UAM_USRAUTOMAIL_FALSE} name="UAM_USRAutoMail">
+                  {'UAM_Disable'|@translate}
+              <br>
+                <input type="radio" value="true" {$UAM_USRAUTOMAIL_TRUE} name="UAM_USRAutoMail">
+                  {'UAM_Enable'|@translate}
+              <br><br><br>
+              </li>
+            </ul>
+          </ul>
+          </fieldset>
+
           {if $UAM_CONFIRMMAIL_TIMEOUT_FALSE and $UAM_CONFIRMMAIL_REMAIL_FALSE}
             </div>
           {/if}
-          </ul>
-{if $UAM_CONFIRM_MAIL_FALSE}
-</div>
-{/if}
+
+        {if $UAM_CONFIRM_MAIL_FALSE}
+          </div>
+        {/if}
+
         </ul>
       </fieldset>
@@ -450,14 +513,27 @@
       <fieldset>
         <ul>
-          <li><label class="cluetip" title="{'UAM_ghosttrackerTitle'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">{'UAM_GhostTracker'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_GHOSTRACKER_FALSE} name="UAM_GhostUser_Tracker">{'UAM_Disable'|@translate}<br>
-            <input type="radio" value="true" {$UAM_GHOSTRACKER_TRUE} name="UAM_GhostUser_Tracker">{'UAM_GhostTracker_true'|@translate}<input type="text" name="UAM_GhostTracker_DayLimit" value="{$UAM_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;"><br><br>
+          <li>
+            <label class="cluetip" title="{'UAM_ghosttrackerTitle'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">
+              {'UAM_GhostTracker'|@translate}
+            </label>
+          <br><br>
+            <input type="radio" value="false" {$UAM_GHOSTRACKER_FALSE} name="UAM_GhostUser_Tracker">
+              {'UAM_Disable'|@translate}
+          <br>
+            <input type="radio" value="true" {$UAM_GHOSTRACKER_TRUE} name="UAM_GhostUser_Tracker">
+              {'UAM_GhostTracker_true'|@translate}
+            <input type="text" name="UAM_GhostTracker_DayLimit" value="{$UAM_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;">
+          <br><br>
           </li>
-        
+
+          <fieldset>          
           <ul>
             <li>
-              <label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UAM_GhostTracker_ReminderText'|@translate}</label>
-            <br><br>
-              <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
+              <label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">
+                {'UAM_GhostTracker_ReminderText'|@translate}
+              </label>
+            <br><br>
+              <textarea class="uam_textfields" name="UAM_GhostTracker_ReminderText" id="UAM_GhostTracker_ReminderText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GHOSTRACKER_REMINDERTEXT}</textarea>
+            <br><br>
             </li>
 <!--
@@ -469,8 +545,15 @@
 -->
 
-            <li><label class="cluetip" title="{'UAM_GTAutoTitle'|translate}|{'UAM_GTAutoTitle_d'|translate}">{'UAM_GTAuto'|@translate}</label>
-            <br><br>
-              <input type="radio" value="false" {$UAM_GTAUTO_FALSE} name="UAM_GTAuto">{'UAM_Disable'|@translate}<br>
-              <input type="radio" value="true" {$UAM_GTAUTO_TRUE} name="UAM_GTAuto">{'UAM_Enable'|@translate}<br><br>
+            <li>
+              <label class="cluetip" title="{'UAM_GTAutoTitle'|translate}|{'UAM_GTAutoTitle_d'|translate}">
+                {'UAM_GTAuto'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_GTAUTO_FALSE} name="UAM_GTAuto">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_GTAUTO_TRUE} name="UAM_GTAuto">
+                {'UAM_Enable'|@translate}
+            <br><br>
             </li>
             
@@ -479,17 +562,24 @@
             {/if}
                 <ul>
-                  <li><label class="cluetip" title="{'UAM_GTAutoDelTitle'|translate}|{'UAM_GTAutoDelTitle_d'|translate}">{'UAM_GTAutoDel'|@translate}</label>
+                  <li>
+                    <label class="cluetip" title="{'UAM_GTAutoDelTitle'|translate}|{'UAM_GTAutoDelTitle_d'|translate}">
+                      {'UAM_GTAutoDel'|@translate}
+                    </label>
                   <br><br>
                       <textarea class="uam_textfields" name="UAM_GTAutoDelText" id="UAM_GTAutoDelText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTODEL_TEXT}</textarea>
-                      <br><br>
+                  <br><br>
                       
-                      {if 'FCK_PATH'|@defined}
-                        <div style="text-align:right;">
-                          <a href="#" onClick="toogleEditor('UAM_GTAutoDelText'); return false;">FCK Editor On/Off</a>
-                        </div>
-                      {/if}
+                  {if 'FCK_PATH'|@defined}
+                    <div style="text-align:right;">
+                      <a href="#" onClick="toogleEditor('UAM_GTAutoDelText'); return false;">FCK Editor On/Off</a>
+                    </div>
+                  {/if}
                   </li>
 
-                  <li><label class="cluetip" title="{'UAM_GTAutoGpTitle'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">{'UAM_GTAutoGp'|@translate}</label><br><br>
+                  <li>
+                    <label class="cluetip" title="{'UAM_GTAutoGpTitle'|translate}|{'UAM_GTAutoGpTitle_d'|translate}">
+                      {'UAM_GTAutoGp'|@translate}
+                    </label>
+                  <br><br>
                     <ul>
                       <li>
@@ -501,5 +591,5 @@
                             {html_options name="UAM_Downgrade_Group" options=$Downgrade_Group.group_options selected=$Downgrade_Group.group_selected}
                           </div>
-                        <br><br>
+                      <br><br>
                       </li>
 
@@ -508,17 +598,26 @@
                           {'UAM_Expired_Status'|@translate}
                         </label>
-                        <br>
+                      <br>
                         <div id="uam_leftmargin">
                           {html_options name="UAM_Downgrade_Status" options=$Downgrade_Status.Status_options selected=$Downgrade_Status.Status_selected}
                         </div>
-                        <br><br>
+                      <br><br>
                       </li>
                     </ul>
 
                     <ul>
-                      <li><label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">{'UAM_GTAutoMail'|@translate}</label><br><br>
-                        <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">{'UAM_Disable'|@translate}<br>
-                        <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">{'UAM_Enable'|@translate}<br><br><br>
-                        <textarea class="uam_textfields" name="UAM_GTAutoMailText" id="UAM_GTAutoMailText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAILTEXT}</textarea><br><br>
+                      <li>
+                        <label class="cluetip" title="{'UAM_GTAutoMailTitle'|translate}|{'UAM_GTAutoMailTitle_d'|translate}">
+                          {'UAM_GTAutoMail'|@translate}
+                        </label>
+                      <br><br>
+                        <input type="radio" value="false" {$UAM_GTAUTOMAIL_FALSE} name="UAM_GTAutoMail">
+                          {'UAM_Disable'|@translate}
+                      <br>
+                        <input type="radio" value="true" {$UAM_GTAUTOMAIL_TRUE} name="UAM_GTAutoMail">
+                          {'UAM_Enable'|@translate}
+                      <br><br><br>
+                        <textarea class="uam_textfields" name="UAM_GTAutoMailText" id="UAM_GTAutoMailText" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_GTAUTOMAILTEXT}</textarea>
+                      <br><br>
                       </li>
                     </ul>
@@ -529,32 +628,70 @@
             {/if}
           </ul>
-
-          <br><hr><br>
-
-          <li><label class="cluetip" title="{'UAM_lastvisitTitle'|translate}|{'UAM_lastvisitTitle_d'|translate}">{'UAM_LastVisit'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_ADDLASTVISIT_FALSE} name="UAM_Add_LastVisit_Column">{'UAM_Disable'|@translate}<br>
-            <input type="radio" value="true" {$UAM_ADDLASTVISIT_TRUE} name="UAM_Add_LastVisit_Column">{'UAM_Enable'|@translate}<br><br>
-          </li>
-
-          <li><label class="cluetip" title="{'UAM_commentTitle'|translate}|{'UAM_commentTitle_d'|translate}">{'UAM_No_Comment_Anonymous'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_NO_COMMENT_ANO_FALSE} name="UAM_No_Comment_Anonymous">{'UAM_Disable'|@translate}<br>
-            <input type="radio" value="true" {$UAM_NO_COMMENT_ANO_TRUE} name="UAM_No_Comment_Anonymous">{'UAM_Enable'|@translate}<br><br>
-          </li>
-
-          <li><label class="cluetip" title="{'UAM_RedirTitle'|translate}|{'UAM_RedirTitle_d'|translate}">{'UAM_RedirToProfile'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_REDIRTOPROFILE_FALSE} name="UAM_RedirToProfile">{'UAM_Disable'|@translate}<br>
-            <input type="radio" value="true" {$UAM_REDIRTOPROFILE_TRUE} name="UAM_RedirToProfile">{'UAM_Enable'|@translate}<br><br>
-          </li>
-
-          <br><hr><br>
-
-          <li><label class="cluetip" title="{'UAM_CustomPasswRetrTitle'|translate}|{'UAM_CustomPasswRetrTitle_d'|translate}">{'UAM_CustomPasswRetr'|@translate}</label><br><br>
-            <input type="radio" value="false" {$UAM_CUSTOMPASSWRETR_FALSE} name="UAM_CustomPasswRetr">{'UAM_Disable'|@translate}<br>
-            <input type="radio" value="true" {$UAM_CUSTOMPASSWRETR_TRUE} name="UAM_CustomPasswRetr">{'UAM_Enable'|@translate}<br>
-          <br><br>
-            <textarea class="uam_textfields" name="UAM_CustomPasswRetr_Text" id="UAM_CustomPasswRetr_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CUSTOMPASSWRETR_TEXT}</textarea>
-          <br><br>
-          </li>
+          </fieldset>
         </ul>
+      </fieldset>
+
+      <fieldset>
+        <fieldset>
+          <ul>
+            <li>
+              <label class="cluetip" title="{'UAM_lastvisitTitle'|translate}|{'UAM_lastvisitTitle_d'|translate}">
+                {'UAM_LastVisit'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_ADDLASTVISIT_FALSE} name="UAM_Add_LastVisit_Column">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_ADDLASTVISIT_TRUE} name="UAM_Add_LastVisit_Column">
+                {'UAM_Enable'|@translate}
+            <br><br>
+            </li>
+
+            <li>
+              <label class="cluetip" title="{'UAM_commentTitle'|translate}|{'UAM_commentTitle_d'|translate}">
+                {'UAM_No_Comment_Anonymous'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_NO_COMMENT_ANO_FALSE} name="UAM_No_Comment_Anonymous">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_NO_COMMENT_ANO_TRUE} name="UAM_No_Comment_Anonymous">
+                {'UAM_Enable'|@translate}
+            <br><br>
+            </li>
+
+            <li>
+              <label class="cluetip" title="{'UAM_RedirTitle'|translate}|{'UAM_RedirTitle_d'|translate}">
+                {'UAM_RedirToProfile'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_REDIRTOPROFILE_FALSE} name="UAM_RedirToProfile">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_REDIRTOPROFILE_TRUE} name="UAM_RedirToProfile">
+                {'UAM_Enable'|@translate}
+            <br><br>
+            </li>
+          </ul>
+        </fieldset>
+
+        <fieldset>
+          <ul>
+            <li>
+              <label class="cluetip" title="{'UAM_CustomPasswRetrTitle'|translate}|{'UAM_CustomPasswRetrTitle_d'|translate}">
+                {'UAM_CustomPasswRetr'|@translate}
+              </label>
+            <br><br>
+              <input type="radio" value="false" {$UAM_CUSTOMPASSWRETR_FALSE} name="UAM_CustomPasswRetr">
+                {'UAM_Disable'|@translate}
+            <br>
+              <input type="radio" value="true" {$UAM_CUSTOMPASSWRETR_TRUE} name="UAM_CustomPasswRetr">
+                {'UAM_Enable'|@translate}
+            <br><br><br>
+              <textarea class="uam_textfields" name="UAM_CustomPasswRetr_Text" id="UAM_CustomPasswRetr_Text" rows="10" {$TAG_INPUT_ENABLED}>{$UAM_CUSTOMPASSWRETR_TEXT}</textarea>
+            <br><br>
+            </li>
+          </ul>
+        </fieldset>
       </fieldset>
     </div>
@@ -596,4 +733,5 @@
 
 </div>
+
 <fieldset>
   {'UAM_Support_txt'|@translate}
Index: extensions/UserAdvManager/branches/2.20/changelog.txt.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/changelog.txt.php	(revision 9909)
@@ -223,4 +223,5 @@
 **************************************************************
 -- 2.20.0 : Compliance with Piwigo 2.2
+            Bug 1479 fixed - New feature : Add of a dedicated UAM block in PWG Stuffs plugin to inform unvalidated users on their status 
             Bug 1666 fixed - New feature : Customizing "lost password" email
             Bug 2045 fixed - New feature : Special tags insertion in text fields. The tags actually available are [username] (insert current user username),[mygallery] (insert current gallery title), [myurl] (insert gallery url if set in Piwigo's configuration options).
Index: extensions/UserAdvManager/branches/2.20/include/functions.inc.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/include/functions.inc.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/include/functions.inc.php	(revision 9909)
@@ -353,4 +353,22 @@
 }
 
+
+/**
+ * Adds a new module settable in PWG_Stuffs - Triggered on get_stuffs_modules in main.inc.php
+ * Useful to inform unvalidated user for their status
+ * 
+ */
+function register_UAM_stuffs_module($modules)
+{
+  array_push($modules, array(
+    'path' => UAM_PATH.'/stuffs_module',
+    'name' => l10n('UAM_Stuffs_Title'),
+    'description' => l10n('UAM_Stuffs_Desc'),
+    )
+  );
+  return $modules;
+}
+
+
 /**
  * Triggered on UAM_LoginTasks()
Index: extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/include/upgradedb.inc.php	(revision 9909)
@@ -335,4 +335,5 @@
   $Newconf_UAM[32] = 'Sorry, your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.';
   $Newconf_UAM[33] = 'false';
+  $Newconf_UAM[34] = 'false';
   
   $update_conf = serialize($Newconf_UAM);
Index: extensions/UserAdvManager/branches/2.20/language/de_DE/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/de_DE/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/de_DE/help/plugin.lang.php	(revision 9909)
@@ -262,4 +262,8 @@
 /*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 /*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+$lang['UAM_StuffsTitle'] = 'PWG Stuffs Modul';
+/*TODO*/$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
+<br><br>
+Please refer to the <b>Tipps und Beispiele</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9909)
@@ -242,5 +242,5 @@
 - Mindestens 2 der folgenden Piwigo Nutzergruppen: "Warten", ohne die Erlaubnis der privaten Gruppen und "Validiert" mit allen Berechtigungen für den privaten Kategorien<br>
 - UAM plugin<br>
-- PWG Stuffs plugin, für das Hinzufügen eines Moduls Art "Personal Block"<br>
+- PWG Stuffs plugin, für das Hinzufügen eines speziellen UAM Moduls<br>
 - Optional können Sie das Plugin Extended Description Multi-Sprachen<br>
             </li><br><br>
@@ -250,4 +250,5 @@
               <ol>
                 <li>Aktivieren Sie Anmeldebestätigung</li>
+                <li>Aktivieren PWG Stuffs Modul</li>
                 <li>Geben Sie den Text für weitere Erklärung, die angebracht werden, um Anmeldebestätigung mail sendet. Wenn das Plugin Extended Description aktiviert ist, können die Sprach-Tags verwendet werden</li>
                 <li>Wählen Sie das "Warten"-Gruppe unter "Für Anwender, die noch nicht validiert ihrer Eintragung"</li>
@@ -258,5 +259,6 @@
 B. In plugin PWG Stuffs :
               <ol>
-                <li>Fügen Sie ein neues Modul Typ "Personal-Block: Zeigt einen Block Personal (z. B. eine redaktionelle)"</li>
+                <li>Gehen Sie zur Registerkarte "Hinzufügen eines neuen Moduls"</li>
+                <li>Wählen Sie "UAM-Modul"</li>
                 <li>Konfigurieren Sie das Modul unter Angabe der Titel (zB "Anmeldung bis Validierung") und seine Beschreibung, und aktivieren Sie nur "Warten" in der Liste der Gruppen erlaubt</li>
                 <li>Kompletten Inhalt des Moduls mit der Meldung Informationen, die den Benutzern angezeigt werden nicht validiert. Als UAM kann Markup-Sprachen verwendet werden, wenn das Plugin Extended Description aktiviert ist</li>
@@ -312,4 +314,7 @@
 /*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 /*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
+$lang['UAM_Stuffs_Title'] = 'UAM-Modul';
+/*TODO*/$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
+$lang['UAM_Stuffs'] = 'PWG Stuffs Modul';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/en_UK/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/en_UK/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/en_UK/help/plugin.lang.php	(revision 9909)
@@ -262,4 +262,8 @@
 $lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 $lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+$lang['UAM_StuffsTitle'] = 'PWG Stuffs block';
+$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
+<br><br>
+Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9909)
@@ -244,5 +244,5 @@
 - At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
 - UAM plugin<br>
-- PWG Stuffs plugin, for adding a module type "Personal Block"<br>
+- PWG Stuffs plugin, for adding a special UAM module<br>
 - Optionally, the plugin Extended Description to support multi-languages<br>
             </li><br><br>
@@ -252,4 +252,5 @@
               <ol>
                 <li>Enable registration confirmation</li>
+                <li>Enable PWG Stuffs module option</li>
                 <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
                 <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
@@ -260,5 +261,6 @@
 B. In plugin PWG Stuffs :
               <ol>
-                <li>Add a new module type "Personal block: Shows a block staff (eg an editorial)"</li>
+                <li>Go to tab "Add a new module"</li>
+                <li>Choose "UAM Module"</li>
                 <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
                 <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
@@ -314,4 +316,7 @@
 $lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 $lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
+$lang['UAM_Stuffs_Title'] = 'UAM block';
+$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
+$lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/es_ES/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/es_ES/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/es_ES/help/plugin.lang.php	(revision 9909)
@@ -258,4 +258,8 @@
 /*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 /*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+$lang['UAM_StuffsTitle'] = 'PWG Stuffs módulo';
+/*TODO*/$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
+<br><br>
+Please refer to the <b>Consejos y ejemplos</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9909)
@@ -282,5 +282,5 @@
 - Al menos los 2 grupos de usuarios siguientes de Piwigo : "Espera," sin permiso en las categorías de privados, y "Validado" con todos los permisos en las categorías de privados<br>
 - UAM plugin<br>
-- PWG Stuffs plugin, para agregar un tipo de módulo "Personal Block"<br>
+- PWG Stuffs plugin, para agregar un módulo especial UAM<br>
 - Opcionalmente, la Extended Description plugin para soportar múltiples idiomas<br>
             </li><br><br>
@@ -290,4 +290,5 @@
               <ol>
                 <li>Activar la confirmación de registro</li>
+                <li>Activar PWG Stuffs módulo</li>
                 <li>Introduzca el texto para la explicación adicional, que se adjunta al correo de confirmación de registro. Si se activa el plugin Extended Description, las etiquetas de idioma se pueden utilizar</li>
                 <li>Seleccione la opción "Espera" del grupo en "Para los usuarios que no han validado su registro"</li>
@@ -298,5 +299,6 @@
 B. En plugin PWG Stuffs :
               <ol>
-                <li>Añadir un tipo de módulo nuevo "bloque Personal: Muestra una plantilla de bloque (por ejemplo, un editorial)"</li>
+                <li>Vaya a la pestaña "Agregar un nuevo módulo"</li>
+                <li>Seleccione la opción "Módulo de la UAM"</li>
                 <li>Configurar el módulo, lo que indica el título (por ejemplo, "en espera de la validación de Registro") y su descripción, y solamente "Espera" en la lista de grupos permitido</li>
                 <li>El contenido completo del módulo con la información del mensaje que se mostrará a los usuarios no validados. Como UAM, las balisas de  lenguajes pueden ser utilizadas si el plugin Extended Description está activado</li>
@@ -352,4 +354,7 @@
 /*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 /*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
+$lang['UAM_Stuffs_Title'] = 'Módulo de la UAM';
+/*TODO*/$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
+$lang['UAM_Stuffs'] = 'PWG Stuffs módulo';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/fr_FR/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/fr_FR/help/plugin.lang.php	(revision 9909)
@@ -258,4 +258,8 @@
 $lang['UAM_USRAutoMailTitle'] = 'Message de rappel automatique';
 $lang['UAM_USRAutoMailTitle_d'] = 'Lorsque activée, cette fonction enverra automatiquement le contenu personnalisé dans &quot;Message de rappel avec regénération de clé&quot; aux visiteurs répondant au critère.';
+$lang['UAM_StuffsTitle'] = 'Module PWG Stuffs';
+$lang['UAM_StuffsTitle_d'] = 'Ceci permet d\'activer un module supplémentaire UAM dans le plugin PWG Stuffs (si installé) afin d\'informer sur leur état vos visiteurs n\'ayant pas validé leur inscription.
+<br><br>
+Veuillez vous reporter à la section <b>Astuces et exemples d\'utilisation</b> en bas de cette page pour les détails.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9909)
@@ -242,5 +242,5 @@
 - Au moins les 2 groupes d\'utilisateurs Piwigo suivants : "Attente", sans aucune permission sur les catégories privées, et "Validés", avec toutes les permissions sur les catégories privées<br>
 - Le plugin UAM<br>
-- Le plugin PWG Stuffs, pour l\'ajout d\'un module de type "Bloc personnel"<br>
+- Le plugin PWG Stuffs, pour l\'ajout d\'un module spécial UAM<br>
 - En option, le plugin Extended Description, pour le support multi-langues<br>
             </li><br><br>
@@ -250,4 +250,5 @@
               <ol>
                 <li>Activer la confirmation d\'inscription</li>
+                <li>Activer l\'option "Module PWG Stuffs"</li>
                 <li>Saisir un "texte d\'accueil personnalisé" qui sera joint au mail de confirmation d\'inscription. Si le plugin Extended Description est activé, les balises de langues peuvent être utilisées</li>
                 <li>Sélectionner le groupe "Attente" à la rubrique "Pour les utilisateurs n\'ayant pas validé leur inscription"</li>
@@ -258,5 +259,6 @@
 B. Dans le plugin PWG Stuffs:<br>
               <ol>
-                <li>Ajouter un nouveau module de type "Bloc personnel : Affiche un bloc personnel (un édito par exemple)"</li>
+                <li>Aller dans l\'onglet "Ajouter un nouveau bloc"</li>
+                <li> Sélectionner "Module UAM"</li>
                 <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de validation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
                 <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non validés. Comme dans UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
@@ -312,4 +314,7 @@
 $lang['UAM_No_Userlist'] = 'Pas de suivi de visiteurs pour l\'instant';
 $lang['UAM_No_Usermanager'] = 'Pas de validations d\'inscription pour l\'instant';
+$lang['UAM_Stuffs_Title'] = 'Module UAM';
+$lang['UAM_Stuffs_Desc'] = 'Ajoute un module d\'information des utilisateurs non validés';
+$lang['UAM_Stuffs'] = 'Module PWG Stuffs';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/it_IT/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/it_IT/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/it_IT/help/plugin.lang.php	(revision 9909)
@@ -249,4 +249,8 @@
 /*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 /*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+$lang['UAM_StuffsTitle'] = 'modulo PWG Stuffs';
+/*TODO*/$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
+<br><br>
+Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9909)
@@ -241,5 +241,5 @@
 - Almeno i 2 gruppi d\'utenti Piwigo seguenti: "Attesa", senza alcuna autorizzazione sulle categorie private, e "Convalidati" con tutte le autorizzazioni per le categorie private<br>
 - Il plugin NBC_UAM<br>
-- Il plugin PWG Stuffs, per aggiungere un modulo di tipo "Blocco Personal"<br>
+- Il plugin PWG Stuffs, per l\'aggiunta di un modulo speciale UAM<br>
 - In opzione, il plugin Extended Description per il supporto multi-lingue<br>
             </li><br><br>
@@ -249,4 +249,5 @@
               <ol>
                 <li>Attivare la conferma dell\'iscrizione</li>
+                <li>Attivare modulo PWG Stuffs</li>
                 <li>Inserire un testo personalizzato che sarà inviato con l\'Email di conferma dell\'iscrizione. Se il plugin Extended Description è installato ed attivato, i tag di lingua possono essere utilizzati</li>
                 <li>Selezionare il gruppo "Attesa" sotto la voce "Per gli utenti che non hanno convalidato la loro iscrizione"</li>
@@ -257,5 +258,6 @@
 B. Nel plugin PWG Stuffs :
               <ol>
-                <li>Aggiungere un nuovo modulo "Blocco Personale : Mostrare il blocco personale (Nota o Editoriale per esempio)"</li>
+                <li>Vai alla scheda "Aggiungere un nuovo modulo"</li>
+                <li>Scegliere "UAM Module"</li>
                 <li>Configurare il modulo, indicandone il titolo (ad esempio, "in attesa di convalida dell\'iscrizione"), la descrizione, ed in fine selezionando solo il gruppo "Attesa" nell\'elenco dei gruppi ammessi</li>
                 <li>Completare il contenuto del modulo con il testo da visualizzare per gli utenti non convalidati. Come NBC_UAM, i tag di lingua possono essere utilizzati se il plugin Extended Description è installato ed attivato</li>
@@ -311,4 +313,7 @@
 /*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 /*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
+$lang['UAM_Stuffs_Title'] = 'UAM Module';
+/*TODO*/$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
+$lang['UAM_Stuffs'] = 'modulo PWG Stuffs';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/lv_LV/help/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/lv_LV/help/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/lv_LV/help/plugin.lang.php	(revision 9909)
@@ -284,4 +284,8 @@
 /*TODO*/$lang['UAM_USRAutoMailTitle'] = 'Automated email reminder';
 /*TODO*/$lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
+/*TODO*/$lang['UAM_StuffsTitle'] = 'PWG Stuffs block';
+/*TODO*/$lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
+<br><br>
+Please refer to the <b>Tips and Examples of Use</b> at the bottom of this page for details.';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9909)
@@ -268,39 +268,41 @@
 /*TODO*/$lang['UAM_Tips1'] = 'Information of non-validated registration with UAM and PWG_Stuffs';
 /*TODO*/$lang['UAM_Tips1_txt'] = '
-<ul>
-<li>
-             Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
-             <br><br>
-<b>Atgādinājums: Pie standartoperācijām "Guest" (viesis) redz tikai publiskās kategorijas bez informatīvā materiāla.</b>
-</li><br><br>
-<li>
-Priekšnoteikumi:<br>
-- Galerija ar visām vai dažām privātajām ketegorijām redzama tikai reģistrētiem lietotājiem<br>
-- Vismaz 2 sekojošas Piwigo lietotāju grupas:gaidīšanas grupa  "Waiting," bez tiesībām darboties ar privātām kategorijām un apstiprināto grupa "Validated" ar visām tiesībām darbam ar privātām kategorijām<br>
-- UAM spraudnis<br>
-- PWG Stuffs spraudnis, moduļa "Personal Block" pievienošanai<br>
-- Pēc izvēles (neobligāts), spraudnis Extended Description (paplašināts apraksts), lai nodrošinātu daudzvalodu atbalstu<br>
-</li><br><br>
-<li>
-Posmi:<br><br>
-A. UAM spraudnī:
-<ol>
-<li>Iespējo reģistrācijas apstiprināšanu</li>
-<li>Ievada papildinformāciju-skaidrojumu, kas tiks pievienots e-pasta reģistrācijas apstiprinājumam. Gadījumā, ja ir aktivēts spraudnis Extended Description (papildus apraksts), var tikt lietotas valodu iezīmes (tagi)</li>
-<li>Izvēlas gaidīšanas grupu "Waiting" sadaļā "Lietotājiem, kas nav apstiprinājuši savu reģistrāciju"</li>
-<li>Izvēlas apstiprināto grupu "Validated" sadaļā "Lietotājiem, kas apstiprinājuši savu reģistrāciju"</li>
-<li>Saglabā spraudņa konfigurāciju</li>
-</ol>
+          <ul>
+            <li>
+            Goals: Inform the visitor that the registration is awaiting approval by displaying a personal block on the home page of the gallery, and this, as registration is not approved.
+            <br><br>
+            <b>Recall: In standard operation, the "Guest" only sees the public categories, without information message.</b>
+            </li><br><br>
+            <li>
+Prerequisite:<br>
+- A gallery with all or some private categories, visible only by registered users<br>
+- At least 2 following Piwigo\'s users groups: "Waiting," without permission on private categories, and "Validated" with all the permissions on the private categories<br>
+- UAM plugin<br>
+- PWG Stuffs plugin, for adding a special UAM module<br>
+- Optionally, the plugin Extended Description to support multi-languages<br>
+            </li><br><br>
+            <li>
+Stages:<br><br>
+A. In plugin UAM:
+              <ol>
+                <li>Enable registration confirmation</li>
+                <li>Enable PWG Stuffs module option</li>
+                <li>Enter text for additional explanation which will be attached to mail registration confirmation. If the plugin Extended Description is activated, the language tags can be used</li>
+                <li>Select the "Waiting" group under "For users who have not validated their registration"</li>
+                <li>Select the "Validated" group under "For users who have validated their registration"</li>
+                <li>Save the plugin configuration</li>
+              </ol>
 <br>
-B. PWG Stuffs spraudnī :
-<ol>
-<li>Pievieno jauna tipa moduli "Personal block: Rāda bloķētos darbiniekus (piem. redakcionāli)"</li>
-<li>Konfigurē moduli, norādot nosaukumu (piem."Registration pending validation") un tā aprakstu, pārbaudot grupu "Waiting"  atļauto grupu sarakstā</li>
-<li>Pabeidz moduļa saturu ar informatīvu ziņojumu neapstiprinātajiem lietotājiem.Kā UAM valodas iezīmes var tikt lietotas, ja spraudnī ir iespējota papildus apraksta Extended Description funkcija</li>
-<li>Atzīmē "Rādīt moduli vietnes mājas lapā"</li>
-<li>Pārbauda moduļa konfigurāciju</li>
-</ol>
-</li>
-</ul>';
+B. In plugin PWG Stuffs :
+              <ol>
+                <li>Go to tab "Add a new module"</li>
+                <li>Choose "UAM Module"</li>
+                <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
+                <li>Check "Display the module on the homepage of the site"</li>
+                <li>Validate the configuration of the module</li>
+              </ol>
+            </li>
+          </ul>';
 /*TODO*/$lang['UAM_Tips2'] = 'Information of non-validated registration with UAM and Additional Pages';
 /*TODO*/$lang['UAM_Tips2_txt'] = '
@@ -349,4 +351,7 @@
 /*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
 /*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
+/*TODO*/$lang['UAM_Stuffs_Title'] = 'UAM block';
+/*TODO*/$lang['UAM_Stuffs_Desc'] = 'Adds an information block for unvalidated users';
+/*TODO*/$lang['UAM_Stuffs'] = 'PWG Stuffs block';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: extensions/UserAdvManager/branches/2.20/main.inc.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/main.inc.php	(revision 9909)
@@ -19,8 +19,11 @@
 if (!defined('UAM_PATH')) define('UAM_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
+global $conf;
+
 include_once (UAM_PATH.'include/constants.php');
 include_once (UAM_PATH.'include/functions.inc.php');
 
 load_language('plugin.lang', UAM_PATH);
+$conf_UAM = unserialize($conf['UserAdvManager']);
 
 
@@ -56,3 +59,9 @@
 // Comment without author
 add_event_handler('user_comment_check', 'UAM_CheckEmptyCommentAuthor', 50, 2);
+
+// PWG_Stuffs module
+if ((isset($conf_UAM[34]) and $conf_UAM[34] == 'true'))
+{
+  add_event_handler('get_stuffs_modules', 'register_UAM_stuffs_module');
+}
 ?>
Index: extensions/UserAdvManager/branches/2.20/maintain.inc.php
===================================================================
--- extensions/UserAdvManager/branches/2.20/maintain.inc.php	(revision 9875)
+++ extensions/UserAdvManager/branches/2.20/maintain.inc.php	(revision 9909)
@@ -22,5 +22,5 @@
 Best regards,
 
-The admin of the gallery.','false','false','false','false','false','Sorry [username], your account has been deleted due to a too long time passed since your last visit at [mygallery].','Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to revalidate your account.',-1,-1,'Thank you for registering at [mygallery]. Your account has been manually validated by _admin_. You may now log in at _link_to_site_ and make any appropriate changes to your profile. Welcome to _name_of_site_!','false','You have requested a password reset on our gallery. Please, find below your new connection settings.','false','Sorry, your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.','false');
+The admin of the gallery.','false','false','false','false','false','Sorry [username], your account has been deleted due to a too long time passed since your last visit at [mygallery].','Sorry [username], your account has been deprecated due to a too long time passed since your last visit at [mygallery]. Please, use the following link to revalidate your account.',-1,-1,'Thank you for registering at [mygallery]. Your account has been manually validated by _admin_. You may now log in at _link_to_site_ and make any appropriate changes to your profile. Welcome to _name_of_site_!','false','You have requested a password reset on our gallery. Please, find below your new connection settings.','false','Sorry, your account has been deleted because you have not validated your registration in requested time. Please, try registration with a valid and non blocked email account.','false','false');
 
 	$query = '
@@ -201,13 +201,7 @@
     }
     
-
-/* Check for upgrade from 2.14 to 2.15 */
-/* *********************************** */
-    //if ($count1 == 1 or $count2 == 1)
-    //{
     /* upgrade from branch 2.14 to 2.15 */
     /* ******************************** */
       upgrade_214_215();
-    //}
   }
 
